QGIS Application - Bug report #13370
Maximum string length 255
2015-09-16 11:24 AM - Giulia Barbero

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.10.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21422
Description

When saving attributes as "string", the maximum number of allowed characters is 255. Is it possible to implement this number? In the file |
need to use, a complex geometry is described, so the characters used are not enough.

History

#1 - 2015-09-16 11:44 AM - Matthias Kuhn
- Status changed from Open to Feedback

Are you using shapefiles?

It's a limitation of shapefiles, see http://gis.stackexchange.com/a/75096/9839 (only the first line)

You can switch to a lot of other formats instead (e.g. spatialite database)

#2 - 2015-09-16 11:44 AM - Matthias Kuhn

- Subject changed from Attribute table to Maximum string length 255

#3 - 2015-09-16 11:54 AM - Giulia Barbero

Yes, I'm using shapefiles. Thank you for your answer.

#4 - 2015-09-16 12:54 PM - Giulia Barbero

Only one more thing...I saved the shapefile that | have in the spatialite format you said. Is it also possible to modify the table of the attributes from string to
another format with more characters? Because | need to use the datas saved in Q-GIS that a company gave me, and in the format string there are
coordinates which are not complete, also if the drawing of the lines in Q-GIS is complete. Thank you in advance.

#5 - 2015-09-16 02:54 PM - Saber Razmjooei
- Status changed from Feedback to Closed
- Resolution set to invalid

If you are in Spatialite, you will not have the 255 charector limit, but on the other hand you can't delete a column!
This is more of a question to the mailing list and not a bug with QGIS. Please feel free to pose the question to the list or more reading about Spatialite:
http://docs.qgis.org/2.0/en/docs/training_manual/databases/spatialite.html
http://gis.stackexchange.com/a/75096/9839

#6 - 2015-09-17 01:35 AM - Giulia Barbero

Thank you!
